wiki:phpgwapi/atualizar25

Version 5 (modified by marcosw, 6 years ago) (diff)

Correções no texto da sessão "Problemas conhecidos" do Arquivamento Local

Como atualizar seu Expresso para a versão 2.5

Ao baixar o pacote da nova versão do Expresso, sua atualização é semelhante às outras atualizações (veja esta página?).

Atenção:

  • Antes de qualquer coisa, faça backup dos seus dados, principalmente do banco de dados;
  • Procure simular essa atualização em um ambiente de homologação;
  • Este procedimento irá interromper o serviço temporariamente;
  • Proceda em horários sem utilização;

Procedimentos após atualização

Após a atualização de seu Expresso, são necessárias algumas configurações adicionais de novas funcionalidades disponíveis nesta versão.

Novo Arquivamento Local

Instalação em Sistema Operacional Windows

Para a instalação do serviço MailArchiver para Windows faça o download do aplicativo a partir  deste link para 32 bits (pacote msi) ou a partir  deste link para 64 bits (pacote msi).

Após o download, abra o instalador. Selecione a pasta de instalação e clique no botão "Próximo". Na próxima tela será necessário informar a URL de autenticação do MailArchiver com o Expresso, adicione o caminho para o arquivo info.php que se encontra no diretório raiz do seu ambiente Expresso. Clique sobre o botão "Próximo" e em seguida sobre o botão "Instalar".

No image "instalador_windows.jpg" attached to phpgwapi/atualizar25

Após a instalação ter ocorrido com sucesso, procure pelo lançador "Iniciar MailArchiver" no menu "Iniciar" do Windows. Clique sobre ele para iniciar o serviço.

Instalação em Sistema Operacional Linux

Para a instalação do serviço MailArchiver para Linux faça o download do aplicativo a partir  deste link para 32 bits (pacote deb) ou a partir  deste link para 64 bits (pacote deb).

Caso esteja utilizando a distribuição Ubuntu, após o download, abra o instalador e a Central de programas do Ubuntu fará a instalação. Clique em "Instalar".

No image "instalador_ubuntu.jpg" attached to phpgwapi/atualizar25

Após a instalação, acesse o arquivo de configuração e modifique sua URL de autenticação como root pelo terminal.

sudo vi /opt/mailarchiver/etc/config.ini

Após aberto o arquivo, modifique a linha "url=[...]" adicionando o caminho para o arquivo info.php que se encontra no diretório raiz do seu ambiente Expresso.

[Authentication]
url=http://[seu_dominio_do_expresso]/info.php

Para que o serviço seja iniciado automaticamente ao iniciar o sistema operacional, execute os comandos abaixo no terminal.

cd etc/rc2.d/
sudo ln -s ../init.d/mailarchiver.sh S99mailarchiver
sudo cp S99mailarchiver ../rc3.d/

Caso seja necessário, pare e inicie novamente o serviço MailArchiver.

cd /etc/init.d
sudo ./mailarchiver.sh stop
sudo ./mailarchiver.sh start

Configurações necessárias no Expresso

Abra de preferencia o navegador Firefox (Opera e Chrome não são suportados, pois não provêm mecanismos de suporte a CORS) e inicie a sessão no Expresso. Entre no módulo ExpressoMail. Vá até as preferencias do ExpressoMail e coloque "Sim" para a preferência "Você gostaria de usar mensagens locais?". A partir daqui estará disponível na estrutura de pastas do ExpressoMail a estrutura "Pastas locais" com pastas semelhantes às padrões IMAP do usuário.

Problemas conhecidos

  • Não é possivel mover estruturas de pastas, ou seja, uma pasta com subpastas e mensagens. Para isso será necessário alterar o código Java do MailArchiver , adicionando um método que retorne uma estrutura de pastas (gerando apenas uma requisição ao servidor).
  • Não é possivel encaminhar mensagens que contenham anexos a partir de mensagens arquivadas, a única forma é desarquivando a mensagem que contenha anexo para que seja possível enviá-la. Para isso será necessário corrigir o parser de mensagens com anexo no código Java do MailArchiver.
  • Não é possivel abrir mensagens locais que tenham como anexo outras mensagens (arquivos fonte eml). Também será necessário corrigir o parser destas mensagens no código Java do MailArchiver.